<?php
namespace lib\Controller;

require_once "lib/autoload.php";

if ($argc < 1) {
    die("사용법 : php main.php 데이타파일명 \n");
}
if (!is_file($argv[1])) {
    die($argv[1] . "는 파일형식이 아닙니다. \n");
}
$lines = file($argv[1]);
if (!is_array($lines)) {
    die($argv[1] . "는 파일데이터에 오류가 있습니다. \n");
}

try {
    $coupon = new Coupon();
    $results = $coupon->execute($lines);

    print("Coupon 설정이 완료되었습니다.\n");
    foreach ($results as $result) {
        echo $result . "\n";
    }
} catch (\Exception $e) {
    echo $e->getMessage();
} //
